<div class="col-sm-6 style-form">
  <h1>Login</h1>
  <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label for="username">Email</label>
      <input type="email" formControlName="email" class="form-control style-input"
        [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
      <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
        <div *ngIf="f.email.errors.required">Email is required</div>
        <div *ngIf="f.email.errors.pattern">Please enter valid email</div>
      </div>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" formControlName="password" class="form-control style-input"
        [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
      <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
        <div *ngIf="f.password.errors.required">Password is required</div>
        <div *ngIf="f.password.errors.pattern">
          <ul style="margin-left: 15px;">
            <li>At least 8 characters in length</li>
            <li>Start with the letter</li>
            <li>Lowercase letters</li>
            <li>Uppercase letters</li>
            <li>Numbers</li>
            <li>Special characters</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="form-group">
      <button [disabled]="loading" class="btn btn-success">
        <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
        Login
      </button>
      <a routerLink="/register" class="btn btn-link">Register</a>
    </div>
  </form>
</div>
